| Version: 3.2.5

Public Member Functions | List of all members
wxGridCellActivatableEditor Class Referenceabstract

`#include <wx/grid.h>`

Inheritance diagram for wxGridCellActivatableEditor:
[legend]

## Detailed Description

Base class for activatable editors.

Inheriting from this class makes it simpler to implement editors that support only activation, but not in-place editing, as they only need to implement TryActivate(), DoActivate() and Clone() methods, but not all the other pure virtual methods of wxGridCellEditor.

Since
  3.1.4

## Public Member Functions

virtual wxGridActivationResult | TryActivate (int row, int col, wxGrid *grid, const wxGridActivationSource &actSource)=0
| Same method as in wxGridCellEditor, but pure virtual. More...
virtual void | DoActivate (int row, int col, wxGrid *grid)=0
| Same method as in wxGridCellEditor, but pure virtual. More...
Public Member Functions inherited from wxGridCellEditor
| wxGridCellEditor ()
| Default constructor. More...
virtual void | BeginEdit (int row, int col, wxGrid *grid)=0
| Fetch the value from the table and prepare the edit control to begin editing. More...
virtual wxGridCellEditor * | Clone () const =0
| Create a new object which is the copy of this one. More...
virtual void | Create (wxWindow *parent, wxWindowID id, wxEvtHandler *evtHandler)=0
| Creates the actual edit control. More...
virtual void | Destroy ()
| Final cleanup. More...
virtual bool | EndEdit (int row, int col, const wxGrid *grid, const wxString &oldval, wxString *newval)=0
| End editing the cell. More...
virtual void | ApplyEdit (int row, int col, wxGrid *grid)=0
| Effectively save the changes in the grid. More...
virtual void | HandleReturn (wxKeyEvent &event)
| Some types of controls on some platforms may need some help with the Return key. More...
bool | IsCreated ()
| Returns true if the edit control has been created. More...
virtual void | PaintBackground (wxDC &dc, const wxRect &rectCell, const wxGridCellAttr &attr)
| Draws the part of the cell not occupied by the control: the base class version just fills it with background colour from the attribute. More...
virtual void | Reset ()=0
| Reset the value in the control back to its starting value. More...
virtual void | SetSize (const wxRect &rect)
| Size and position the edit control. More...
virtual void | Show (bool show, wxGridCellAttr *attr=NULL)
| Show or hide the edit control, use the specified attributes to set colours/fonts for it. More...
virtual void | StartingClick ()
| If the editor is enabled by clicking on the cell, this method will be called. More...
virtual void | StartingKey (wxKeyEvent &event)
| If the editor is enabled by pressing keys on the grid, this will be called to let the editor do something about that first key if desired. More...
virtual bool | IsAcceptedKey (wxKeyEvent &event)
| Return true to allow the given key to start editing: the base class version only checks that the event has no modifiers. More...
virtual wxString | GetValue () const =0
| Returns the value currently in the editor control. More...
wxWindow * | GetWindow () const
| Get the edit window used by this editor. More...
void | SetWindow (wxWindow *window)
| Set the wxWindow that will be used by this cell editor for editing the value. More...
wxControl * | GetControl ()
| Get the wxControl used by this editor. More...
void | SetControl (wxControl *control)
| Set the wxControl that will be used by this cell editor for editing the value. More...
Public Member Functions inherited from wxSharedClientDataContainer
void * | GetClientData () const
| Get the untyped client data. More...
wxClientData * | GetClientObject () const
| Get a pointer to the client data object. More...
void | SetClientData (void *data)
| Set the untyped client data. More...
void | SetClientObject (wxClientData *data)
| Set the client data object. More...
Public Member Functions inherited from wxRefCounter
| wxRefCounter ()
| Default constructor. More...
void | DecRef ()
| Decrements the reference count associated with this shared data and, if it reaches zero, destroys this instance of wxRefCounter releasing its memory. More...
int | GetRefCount () const
| Returns the reference count associated with this shared data. More...
void | IncRef ()
| Increments the reference count associated with this shared data. More...

## Additional Inherited Members

Protected Member Functions inherited from wxGridCellEditor
virtual | ~wxGridCellEditor ()
| The destructor is private because only DecRef() can delete us. More...
Protected Member Functions inherited from wxRefCounter
virtual | ~wxRefCounter ()
| Destructor. More...

## Member Function Documentation

## ◆ DoActivate()

virtual void wxGridCellActivatableEditor::DoActivate | ( | int | row,
|  | int | col,
|  | wxGrid * | grid
| ) |  |

pure virtual

Same method as in wxGridCellEditor, but pure virtual.

Reimplemented from wxGridCellEditor.

## ◆ TryActivate()

virtual wxGridActivationResult wxGridCellActivatableEditor::TryActivate | ( | int | row,
|  | int | col,
|  | wxGrid * | grid,
|  | const wxGridActivationSource & | actSource
| ) |  |

pure virtual

Same method as in wxGridCellEditor, but pure virtual.

Note that the implementation of this method must never return wxGridActivationResult::DoEdit() for the editors inheriting from this class, as it doesn't support normal editing.

Reimplemented from wxGridCellEditor.